## org.biojavax.bio.seq
Interface PositionResolver

All Known Implementing Classes:
  PositionResolver.AverageResolver, PositionResolver.MaximalResolver, PositionResolver.MinimalResolver

    public interface PositionResolver

Resolves a position that is fuzzy or covers a range of bases by converting it to a single base.

Since:
  1.5
Author:
  Richard Holland

Nested Class Summary
`static class` `PositionResolver.AverageResolver` The minimal resolver returns the base which provides the average range, halfway between maximal and minimal.
`static class` `PositionResolver.MaximalResolver` The maximal resolver returns the base which provides the largest possible range.
`static class` `PositionResolver.MinimalResolver` The minimal resolver returns the base which provides the smallest possible range.

Method Summary
`int` `getMax(Position end)` Resolves the maximum possible base for this position.
`int` `getMin(Position start)` Resolves the minimum possible base for this position.

Method Detail

### getMin

    int getMin(Position start)

  Resolves the minimum possible base for this position.

  Parameters:
    `start` - the position to resolve
  Returns:
    the minimum possible base this resolver can return.

### getMax

    int getMax(Position end)

  Resolves the maximum possible base for this position.

  Parameters:
    `end` - the position to resolve
  Returns:
    the maximum possible base this resolver can return.